import fischertechnik.factories as txt_factory

txt_factory.init()
txt_factory.init_input_factory()
txt_factory.init_i2c_factory()
txt_factory.init_usb_factory()

TXT_M = txt_factory.controller_factory.create_graphical_controller()
TXT_M_I3_photo_resistor = txt_factory.input_factory.create_photo_resistor(TXT_M, 3)
TXT_M_I2C_1_environment_sensor = txt_factory.i2c_factory.create_environment_sensor(TXT_M, 1)
TXT_M_USB1_1_microphone = txt_factory.usb_factory.create_microphone(TXT_M, 1)

txt_factory.initialized()